package com.brilliance.isc.mda.dao;

import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Ftt;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface FttMapper {

    int insert(Ftt record);

    int insertSelective(Ftt record);

    int updateByPrimaryKeySelective(Ftt record);

    int updateByPrimaryKey(Ftt record);

    int deleteByPrimaryKey(Ftt record);

    int deleteByIds(Collection<Object> collection);

    Ftt selectByPrimaryKey(Ftt record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ftt> dyncRead(Map<String,Object> dyncMap);

}